# Webdriver助手

- 😊 自动获取浏览器版本号、操作系统类型
- 😊 自动下载对应浏览器驱动
- 😊 自动创建和返回WebDriver对象
- 😊 调试浏览器和Python代码（只支持Chromium内核的浏览器）


## 用法
```python
from webdriver_helper import get_webdriver


chrome = get_webdriver() # 默认启动chrome
chrome.get("https://baidu.com")
chrome.quit()

firefox = get_webdriver("fireFOX") # 也可指定firefox，大小写不敏感
firefox.quit()
```

## 传递Option

```python
from selenium import webdriver
from webdriver_helper import get_webdriver

option = webdriver.ChromeOptions()
option.add_argument("--headless")  # 无头模式

chrome = get_webdriver(options=webdriver.ChromeOptions())
chrome.quit()

firefox = get_webdriver("firefox", options=webdriver.FirefoxOptions())
firefox.quit()

```

## 设置断言

```python
from webdriver_helper import debugger, get_webdriver 


chrome = get_webdriver() # 默认启动chrome
chrome.get("https://baidu.com")

debugger(chrome)  
# 浏览器和python此刻都暂停执行
# 在控制输入`c`并按下回车 后恢复

chrome.quit()
```

## 联系作者

vx:  **python_sanmu**